#include <iostream>
#include "Serial.H"

using namespace std;

int main(int argc, const char *argv[])
{
  if (argc != 2 && argc != 3) {
  error:;
    cerr << "call: " << argv[0] << " mon <cmd> | rec <cmd> | <macro>" << endl;
    cerr << endl << "monitor commands:" << endl;
    Serial::write_mon_commands(cerr);
    cerr << endl;
    cerr << endl << "receiver commands:" << endl;
    Serial::write_rec_commands(cerr);
    cerr << endl;
    cerr << endl << "macro commands:" << endl;
    Serial::write_macro_commands(cerr);
    cerr << endl;

    exit(1);
  }

  string cmd = argv[1];
    
  if (cmd == "mon" && argc == 3) {
    return Serial::mon_cmd(argv[2]);
  } else if (cmd == "rec" && argc == 3) {
    return Serial::rec_cmd(argv[2]);
  } else if (argc == 2) {
    if (!Serial::macro(cmd))
      return 0;
  }
  goto error;
}
